{"openapi":"3.0.1","info":{"title":"A3_Api","version":"1.0"},"servers":[{"url":"/api"}],"paths":{"/v1/ed":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["EntityDisplay"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdConfiguration"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/EdConfiguration"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/ed/initial/{typeKey}":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"typeKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/ed/types":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/ed/{accountId}":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["EntityDisplay"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdConfiguration"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/EdConfiguration"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/ed/{accountId}/initial/{typeKey}":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"typeKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/ed/{accountId}/types":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/ed/{accountId}/{typeKey}/{confName}":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"typeKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"confName","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"delete":{"tags":["EntityDisplay"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"typeKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"confName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/ed/{typeKey}/{confName}":{"get":{"tags":["EntityDisplay"],"parameters":[{"name":"typeKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"confName","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"delete":{"tags":["EntityDisplay"],"parameters":[{"name":"typeKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"confName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"string"}},"application/json":{"schema":{"type":"string"}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/paf/{accountId}/{role}":{"get":{"tags":["Efa"],"summary":"Get Efa Reliable Audit Track data for a company in a direction","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"query","schema":{"type":"string"}},{"name":"role","in":"path","required":true,"schema":{"$ref":"#/components/schemas/FiscalEdiRole"}},{"name":"NamedOrderBy","in":"query","schema":{"type":"string"}},{"name":"FromValues","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/FromValue"}}},{"name":"Filters","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/Filter"}}},{"name":"Limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadInvoiceWithBranch"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/peppol/enduser":{"get":{"tags":["Efa"],"summary":"Get Peppol EndUser Stats","parameters":[{"name":"year","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"month","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sending","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"receiving","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"XmlDocument for Peppol EndUser Stats Reporting"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/peppol/transaction":{"get":{"tags":["Efa"],"summary":"Get Peppol Transaction Stats","parameters":[{"name":"year","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"month","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"sending","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"receiving","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"XmlDocument for Peppol Transaction Stats Reporting"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/version":{"get":{"tags":["Efa"],"parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/version/build":{"get":{"tags":["Efa"],"parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/workflow/cron":{"get":{"tags":["Efa"],"summary":"Get existing cron tasks","parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"List of cron tasks","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WfCronTaskActive"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/invoices/all":{"get":{"tags":["Invoice"],"summary":"Get Efa account invoices","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"query","schema":{"$ref":"#/components/schemas/InvoiceType"}},{"name":"NamedOrderBy","in":"query","schema":{"type":"string"}},{"name":"FromValues","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/FromValue"}}},{"name":"Filters","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/Filter"}}},{"name":"Limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadInvoice"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/invoices/{invoiceId}":{"get":{"tags":["Invoice"],"summary":"Get Efa invoice matching the Id","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PdpReadInvoice"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/invoices/{invoiceId}/as/{documentType}":{"get":{"tags":["Invoice"],"summary":"Get the document with the specified type associated to the invoice","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"documentType","in":"path","required":true,"schema":{"$ref":"#/components/schemas/ExportDocumentFormat"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"The request has been processed","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"The request is invalid"},"404":{"description":"The requested file does not exist"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/invoices/{invoiceType}/file":{"get":{"tags":["Invoice"],"summary":"Export the selected data in a file.","parameters":[{"name":"customerId","in":"query","schema":{"type":"string"}},{"name":"invoiceType","in":"path","required":true,"schema":{"$ref":"#/components/schemas/InvoiceType"}},{"name":"invoiceIds","in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"fromDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"toDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"The request has been processed","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"202":{"description":"The request has been acknowledged, you'll be notified at the end of the process"},"400":{"description":"The request is invalid"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/invoices/{invoiceType}/{invoiceId}":{"get":{"tags":["Invoice"],"summary":"Get Efa invoice matching the Id","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceType","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PdpReadInvoice"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/{branchId}/invoices/all":{"get":{"tags":["Invoice"],"summary":"Get Efa account invoices","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"direction","in":"query","schema":{"$ref":"#/components/schemas/InvoiceType"}},{"name":"NamedOrderBy","in":"query","schema":{"type":"string"}},{"name":"FromValues","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/FromValue"}}},{"name":"Filters","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/Filter"}}},{"name":"Limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadInvoice"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/{branchId}/invoices/{invoiceId}":{"get":{"tags":["Invoice"],"summary":"Get Efa invoice matching the Id","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PdpReadInvoice"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/{branchId}/invoices/{invoiceId}/as/{documentType}":{"get":{"tags":["Invoice"],"summary":"Get the document with the specified type associated to the invoice","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"documentType","in":"path","required":true,"schema":{"$ref":"#/components/schemas/ExportDocumentFormat"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"The request has been processed","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"The request is invalid"},"404":{"description":"The requested file does not exist"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/{branchId}/invoices/{invoiceType}/file":{"get":{"tags":["Invoice"],"summary":"Export the selected data in a file.","parameters":[{"name":"customerId","in":"query","schema":{"type":"string"}},{"name":"invoiceType","in":"path","required":true,"schema":{"$ref":"#/components/schemas/InvoiceType"}},{"name":"invoiceIds","in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"fromDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"toDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"The request has been processed","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"202":{"description":"The request has been acknowledged, you'll be notified at the end of the process"},"400":{"description":"The request is invalid"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/efa/{accountId}/{branchId}/invoices/{invoiceType}/{invoiceId}":{"get":{"tags":["Invoice"],"summary":"Get Efa invoice matching the Id","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"invoiceType","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PdpReadInvoice"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/accounts":{"get":{"tags":["Id"],"summary":"Get all accounts.","parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"post":{"tags":["Id"],"summary":"Create an account.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EfaAccount"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Account"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/actions":{"get":{"tags":["Id"],"summary":"Get current possible actions.","parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Action"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/me":{"get":{"tags":["Id"],"summary":"Get current user information.","parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["Id"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3User"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3User"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/roles":{"get":{"tags":["Id"],"summary":"Get current active roles.","parameters":[{"name":"output","in":"query","schema":{"$ref":"#/components/schemas/OutputOption"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Role"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["Id"],"summary":"Edit or create a role.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Role"}}},"required":true},"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/roles/{roleName}":{"get":{"tags":["Id"],"summary":"Get role.","parameters":[{"name":"roleName","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Role"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/users":{"get":{"tags":["Id"],"parameters":[{"name":"NamedOrderBy","in":"query","schema":{"type":"string"}},{"name":"FromValues","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/FromValue"}}},{"name":"Filters","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/Filter"}}},{"name":"Limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"output","in":"query","schema":{"$ref":"#/components/schemas/OutputOption"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"Get detail information of an user","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"application/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"text/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/users/{userId}":{"get":{"tags":["Id"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"Get detail information of an user","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"application/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"text/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"delete":{"tags":["Id"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"createdByRef","in":"query","schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}":{"get":{"tags":["Id"],"summary":"Get an account, filtered for the current user.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/A3Account"}},"application/json":{"schema":{"$ref":"#/components/schemas/A3Account"}},"text/json":{"schema":{"$ref":"#/components/schemas/A3Account"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["Id"],"summary":"Update an account.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EfaAccount"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Account"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"delete":{"tags":["Id"],"summary":"Delete an account.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"createdByRef","in":"query","schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/branches":{"get":{"tags":["Id"],"summary":"Get branches of an account, filtered for the current user.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3AccountBranch"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3AccountBranch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3AccountBranch"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"post":{"tags":["Id"],"summary":"Create a branch.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EfaBranch"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Account"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/branches/{branchId}":{"get":{"tags":["Id"],"summary":"Get an account branch, filtered for the current user.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Account"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["Id"],"summary":"Update an account branch.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EfaBranch"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3AccountBranch"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"delete":{"tags":["Id"],"summary":"Delete an account branch.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"createdByRef","in":"query","schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/branches/{branchId}/add_receive_flow/{type}":{"post":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"type","in":"path","required":true,"schema":{"$ref":"#/components/schemas/FlowConfigType"}},{"name":"createdByRef","in":"query","schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/branches/{branchId}/users":{"get":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"output","in":"query","schema":{"$ref":"#/components/schemas/OutputOption"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3UserActive"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/branches/{branchId}/users/{userId}":{"get":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"Get detail information of an user","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"application/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"text/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/branches/{branchId}/users/{userId}/role":{"get":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3UserRole"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"post":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3UserRole"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"branchId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3UserRole"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/invitation":{"post":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3UserInvitation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3User"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/roles":{"get":{"tags":["Id"],"summary":"Get current active roles.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"output","in":"query","schema":{"$ref":"#/components/schemas/OutputOption"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3Role"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["Id"],"summary":"Edit or create a role.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Role"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Role"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/roles/{roleName}":{"get":{"tags":["Id"],"summary":"Get role.","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"roleName","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3Role"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/users":{"get":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"output","in":"query","schema":{"$ref":"#/components/schemas/OutputOption"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/A3UserActive"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/users/{userId}":{"get":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"Get detail information of an user","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"application/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}},"text/json":{"schema":{"$ref":"#/components/schemas/A3UserFull"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"delete":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"createdByRef","in":"query","schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/users/{userId}/mail_reminder":{"post":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}},"text/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/id/{accountId}/users/{userId}/role":{"get":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3UserRole"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"post":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3UserRole"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}},"patch":{"tags":["Id"],"parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/A3UserRole"}}}},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}},"/v1/Test/A3Auth":{"get":{"tags":["Test"],"parameters":[{"name":"withDisplayConf","in":"query","description":"Add parameter to retrieve the display configuration of the payload.","allowEmptyValue":true}],"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ValidationResult"}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseError"}}}}}}}},"components":{"schemas":{"A3Account":{"required":["businessName","initialAdminUser"],"type":"object","properties":{"id":{"type":"string","nullable":true},"businessName":{"minLength":1,"type":"string"},"partner":{"$ref":"#/components/schemas/PartnerId"},"a3Beneficiary":{"$ref":"#/components/schemas/AtomCode"},"a3Signatory":{"$ref":"#/components/schemas/AtomCode"},"a3Invoicee":{"$ref":"#/components/schemas/AtomCode"},"otelConfig":{"$ref":"#/components/schemas/OpenTelemetryConfig"},"usersRoles":{"type":"array","items":{"$ref":"#/components/schemas/A3UserRole"},"nullable":true},"initialAdminUser":{"type":"string"},"isActive":{"type":"boolean","nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true},"ids":{"type":"array","items":{"$ref":"#/components/schemas/A3AccountId"},"nullable":true,"readOnly":true}},"additionalProperties":false},"A3AccountBranch":{"required":["businessName","initialAdminUser"],"type":"object","properties":{"accountId":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"businessName":{"minLength":1,"type":"string"},"isAccount":{"type":"boolean","readOnly":true},"isReadOnly":{"type":"boolean","readOnly":true},"initialAdminUser":{"type":"string"},"isActive":{"type":"boolean","nullable":true},"usersRoles":{"type":"array","items":{"$ref":"#/components/schemas/A3UserRole"},"nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true},"ids":{"type":"array","items":{"$ref":"#/components/schemas/A3AccountId"},"nullable":true,"readOnly":true}},"additionalProperties":false},"A3AccountId":{"type":"object","properties":{"entityId":{"type":"string","nullable":true},"propertyIdentifier":{"$ref":"#/components/schemas/StringStruct"},"idValue":{"type":"string","nullable":true},"schemeType":{"type":"string","nullable":true},"scheme":{"type":"string","nullable":true},"idFull":{"type":"string","nullable":true},"idFullWoType":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"A3Action":{"type":"object","properties":{"identifier":{"$ref":"#/components/schemas/StringStruct"},"id":{"type":"string","nullable":true},"category":{"$ref":"#/components/schemas/LocalizedString"},"label":{"$ref":"#/components/schemas/LocalizedString"},"description":{"$ref":"#/components/schemas/LocalizedString"}},"additionalProperties":false},"A3Role":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/StringStruct"},"isReadOnly":{"type":"boolean","readOnly":true},"actions":{"uniqueItems":true,"type":"array","items":{"type":"string"},"nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"A3User":{"required":["login"],"type":"object","properties":{"a3AuthId":{"type":"string","format":"uuid","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"firstConnection":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","nullable":true},"login":{"$ref":"#/components/schemas/Email"},"isActive":{"type":"boolean","nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"A3UserActive":{"required":["login"],"type":"object","properties":{"isActive":{"type":"boolean","nullable":true},"statusCreatedAt":{"type":"string","format":"date-time","nullable":true},"statusCreatedBy":{"type":"string","nullable":true},"statusCreatedByRef":{"type":"string","nullable":true},"a3AuthId":{"type":"string","format":"uuid","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"firstConnection":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","nullable":true},"login":{"$ref":"#/components/schemas/Email"},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"A3UserFull":{"required":["login"],"type":"object","properties":{"roles":{"type":"array","items":{"$ref":"#/components/schemas/A3UserRole"},"nullable":true},"isActive":{"type":"boolean","nullable":true},"statusCreatedAt":{"type":"string","format":"date-time","nullable":true},"statusCreatedBy":{"type":"string","nullable":true},"statusCreatedByRef":{"type":"string","nullable":true},"a3AuthId":{"type":"string","format":"uuid","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"firstConnection":{"type":"string","format":"date-time","nullable":true},"id":{"type":"string","nullable":true},"login":{"$ref":"#/components/schemas/Email"},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"A3UserInvitation":{"required":["cellPhone2FA","login"],"type":"object","properties":{"login":{"$ref":"#/components/schemas/Email"},"cellPhone2FA":{"$ref":"#/components/schemas/Phone"}},"additionalProperties":false},"A3UserRole":{"required":["roleName"],"type":"object","properties":{"userId":{"type":"string","nullable":true},"accountId":{"type":"string","nullable":true},"roleName":{"minLength":1,"type":"string"},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Amount":{"type":"object","properties":{"value":{"type":"number","format":"double"}},"additionalProperties":false},"ApiResponseError":{"required":["errorMessage"],"type":"object","properties":{"errorMessage":{"minLength":0,"type":"string"}},"additionalProperties":false},"ArchiveSupplier":{"enum":["Unset","ArchiFactory"],"type":"string"},"AtomCode":{"type":"object","properties":{"id":{"type":"integer","format":"int32"}},"additionalProperties":false},"B2BrouterAccountConfiguration":{"type":"object","properties":{"isStaging":{"type":"boolean"},"accountIdStaging":{"type":"integer","format":"int32","nullable":true},"accountId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"CesVatex":{"enum":["Unset","VATEX-EU-79-C","VATEX-EU-132","VATEX-EU-132-1A","VATEX-EU-132-1B","VATEX-EU-132-1C","VATEX-EU-132-1D","VATEX-EU-132-1E","VATEX-EU-132-1F","VATEX-EU-132-1G","VATEX-EU-132-1H","VATEX-EU-132-1I","VATEX-EU-132-1J","VATEX-EU-132-1K","VATEX-EU-132-1L","VATEX-EU-132-1M","VATEX-EU-132-1N","VATEX-EU-132-1O","VATEX-EU-132-1P","VATEX-EU-132-1Q","VATEX-EU-143","VATEX-EU-143-1A","VATEX-EU-143-1B","VATEX-EU-143-1C","VATEX-EU-143-1D","VATEX-EU-143-1E","VATEX-EU-143-1F","VATEX-EU-143-1FA","VATEX-EU-143-1G","VATEX-EU-143-1H","VATEX-EU-143-1I","VATEX-EU-143-1J","VATEX-EU-143-1K","VATEX-EU-143-1L","VATEX-EU-148","VATEX-EU-148-A","VATEX-EU-148-B","VATEX-EU-148-C","VATEX-EU-148-D","VATEX-EU-148-E","VATEX-EU-148-F","VATEX-EU-148-G","VATEX-EU-151","VATEX-EU-151-1A","VATEX-EU-151-1AA","VATEX-EU-151-1B","VATEX-EU-151-1C","VATEX-EU-151-1D","VATEX-EU-151-1E","VATEX-EU-309","VATEX-EU-AE","VATEX-EU-D","VATEX-EU-F","VATEX-EU-G","VATEX-EU-I","VATEX-EU-IC","VATEX-EU-J","VATEX-EU-O"],"type":"string"},"CryptoValue":{"type":"object","additionalProperties":false},"DocumentError":{"type":"object","properties":{"severity":{"$ref":"#/components/schemas/Severity"},"message":{"type":"string","nullable":true},"lineNumber":{"type":"integer","format":"int32","nullable":true},"columnNumber":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"DocumentExchangeDirection":{"enum":["Unset","CustomerToEfa","EfaToCustomer","PdpToEfa","EfaToPdp","GovToEfa","EfaToGov"],"type":"string"},"DocumentSyntax":{"enum":["Unset","UBL","Peppol","FacturX","BasicWL","CII","EdiFact","SBDH","CDAR"],"type":"string"},"EdConfiguration":{"required":["objectKey"],"type":"object","properties":{"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true},"objectKey":{"minLength":1,"type":"string"},"objectTypeDescription":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"value":{"nullable":true}},"additionalProperties":false},"EfaAccount":{"required":["businessName","initialAdminUser","legalArchiveConfiguration","legalMandatoryInfos"],"type":"object","properties":{"onboardingStep":{"$ref":"#/components/schemas/EfaAccountStep"},"legalArchiveConfiguration":{"$ref":"#/components/schemas/LegalArchiveConfiguration"},"legalMandatoryInfosType":{"$ref":"#/components/schemas/LegalMandatoryInfosType"},"legalMandatoryInfos":{"$ref":"#/components/schemas/LegalMandatoryInfos"},"b2BrouterAccountConfiguration":{"$ref":"#/components/schemas/B2BrouterAccountConfiguration"},"id":{"type":"string","nullable":true},"businessName":{"minLength":1,"type":"string"},"partner":{"$ref":"#/components/schemas/PartnerId"},"a3Beneficiary":{"$ref":"#/components/schemas/AtomCode"},"a3Signatory":{"$ref":"#/components/schemas/AtomCode"},"a3Invoicee":{"$ref":"#/components/schemas/AtomCode"},"otelConfig":{"$ref":"#/components/schemas/OpenTelemetryConfig"},"usersRoles":{"type":"array","items":{"$ref":"#/components/schemas/A3UserRole"},"nullable":true},"initialAdminUser":{"type":"string"},"isActive":{"type":"boolean","nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true},"ids":{"type":"array","items":{"$ref":"#/components/schemas/A3AccountId"},"nullable":true,"readOnly":true}},"additionalProperties":false},"EfaAccountStep":{"enum":["Unset","Instruction","Testing","Production"],"type":"string"},"EfaBranch":{"required":["businessName","initialAdminUser"],"type":"object","properties":{"hasInvoiceReceiveEmail":{"type":"boolean"},"invoiceReceiveEmail":{"$ref":"#/components/schemas/EmailInvoiceReceiveFlowConfig"},"hasInvoiceReceiveSftp":{"type":"boolean"},"invoiceReceiveSftp":{"$ref":"#/components/schemas/SftpInvoiceReceiveFlowConfig"},"invoicePdpToAccount":{"$ref":"#/components/schemas/InvoiceReceiveFlowConfig"},"invoiceDataAccountToPdp":{"$ref":"#/components/schemas/InvoiceReceiveFlowConfig"},"accountId":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"businessName":{"minLength":1,"type":"string"},"isAccount":{"type":"boolean","readOnly":true},"isReadOnly":{"type":"boolean","readOnly":true},"initialAdminUser":{"type":"string"},"isActive":{"type":"boolean","nullable":true},"usersRoles":{"type":"array","items":{"$ref":"#/components/schemas/A3UserRole"},"nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true},"ids":{"type":"array","items":{"$ref":"#/components/schemas/A3AccountId"},"nullable":true,"readOnly":true}},"additionalProperties":false},"EfaProcessSource":{"enum":["Unset","B2Brouter","InboxPeppol","AccountEmail","AccountSftp","EfaGenerated"],"type":"string"},"EfaProcessStorage":{"enum":["Unset","None","FileDirectoryApi"],"type":"string"},"Email":{"type":"object","properties":{"isValid":{"type":"boolean","readOnly":true},"rawValue":{"type":"string","nullable":true,"readOnly":true},"emailAddress":{"type":"string","format":"email","nullable":true,"readOnly":true}},"additionalProperties":false},"EmailInvoiceReceiveFlowConfig":{"type":"object","properties":{"configType":{"$ref":"#/components/schemas/FlowConfigType"},"email":{"$ref":"#/components/schemas/Email"},"password":{"$ref":"#/components/schemas/CryptoValue"}},"additionalProperties":false},"En16931MeasureUnitCode":{"enum":["Unset","10","11","13","14","15","20","21","22","23","24","25","27","28","33","34","35","37","38","40","41","56","57","58","59","60","61","74","77","80","81","85","87","89","91","1I","2A","2B","2C","2G","2H","2I","2J","2K","2L","2M","2N","2P","2Q","2R","2U","2X","2Y","2Z","3B","3C","4C","4G","4H","4K","4L","4M","4N","4O","4P","4Q","4R","4T","4U","4W","4X","5A","5B","5E","5J","A10","A11","A12","A13","A14","A15","A16","A17","A18","A19","A2","A20","A21","A22","A23","A24","A26","A27","A28","A29","A3","A30","A31","A32","A33","A34","A35","A36","A37","A38","A39","A4","A40","A41","A42","A43","A44","A45","A47","A48","A49","A5","A53","A54","A55","A56","A59","A6","A68","A69","A7","A70","A71","A73","A74","A75","A76","A8","A84","A85","A86","A87","A88","A89","A9","A90","A91","A93","A94","A95","A96","A97","A98","A99","AA","AB","ACR","ACT","AD","AE","AH","AI","AK","AL","AMH","AMP","ANN","APZ","AQ","AS","ASM","ASU","ATM","AWG","AY","AZ","B1","B10","B11","B12","B13","B14","B15","B16","B17","B18","B19","B20","B21","B22","B23","B24","B25","B26","B27","B28","B29","B3","B30","B31","B32","B33","B34","B35","B4","B41","B42","B43","B44","B45","B46","B47","B48","B49","B50","B52","B53","B54","B55","B56","B57","B58","B59","B60","B61","B62","B63","B64","B66","B67","B68","B69","B7","B70","B71","B72","B73","B74","B75","B76","B77","B78","B79","B8","B80","B81","B82","B83","B84","B85","B86","B87","B88","B89","B90","B91","B92","B93","B94","B95","B96","B97","B98","B99","BAR","BB","BFT","BHP","BIL","BLD","BLL","BP","BPM","BQL","BTU","BUA","BUI","C0","C10","C11","C12","C13","C14","C15","C16","C17","C18","C19","C20","C21","C22","C23","C24","C25","C26","C27","C28","C29","C3","C30","C31","C32","C33","C34","C35","C36","C37","C38","C39","C40","C41","C42","C43","C44","C45","C46","C47","C48","C49","C50","C51","C52","C53","C54","C55","C56","C57","C58","C59","C60","C61","C62","C63","C64","C65","C66","C67","C68","C69","C7","C70","C71","C72","C73","C74","C75","C76","C78","C79","C8","C80","C81","C82","C83","C84","C85","C86","C87","C88","C89","C9","C90","C91","C92","C93","C94","C95","C96","C97","C99","CCT","CDL","CEL","CEN","CG","CGM","CKG","CLF","CLT","CMK","CMQ","CMT","CNP","CNT","COU","CTG","CTM","CTN","CUR","CWA","CWI","D03","D04","D1","D10","D11","D12","D13","D15","D16","D17","D18","D19","D2","D20","D21","D22","D23","D24","D25","D26","D27","D29","D30","D31","D32","D33","D34","D36","D41","D42","D43","D44","D45","D46","D47","D48","D49","D5","D50","D51","D52","D53","D54","D55","D56","D57","D58","D59","D6","D60","D61","D62","D63","D65","D68","D69","D73","D74","D77","D78","D80","D81","D82","D83","D85","D86","D87","D88","D89","D91","D93","D94","D95","DAA","DAD","DAY","DB","DBM","DBW","DD","DEC","DG","DJ","DLT","DMA","DMK","DMO","DMQ","DMT","DN","DPC","DPR","DPT","DRA","DRI","DRL","DT","DTN","DWT","DZN","DZP","E01","E07","E08","E09","E10","E12","E14","E15","E16","E17","E18","E19","E20","E21","E22","E23","E25","E27","E28","E30","E31","E32","E33","E34","E35","E36","E37","E38","E39","E4","E40","E41","E42","E43","E44","E45","E46","E47","E48","E49","E50","E51","E52","E53","E54","E55","E56","E57","E58","E59","E60","E61","E62","E63","E64","E65","E66","E67","E68","E69","E70","E71","E72","E73","E74","E75","E76","E77","E78","E79","E80","E81","E82","E83","E84","E85","E86","E87","E88","E89","E90","E91","E92","E93","E94","E95","E96","E97","E98","E99","EA","EB","EQ","F01","F02","F03","F04","F05","F06","F07","F08","F10","F11","F12","F13","F14","F15","F16","F17","F18","F19","F20","F21","F22","F23","F24","F25","F26","F27","F28","F29","F30","F31","F32","F33","F34","F35","F36","F37","F38","F39","F40","F41","F42","F43","F44","F45","F46","F47","F48","F49","F50","F51","F52","F53","F54","F55","F56","F57","F58","F59","F60","F61","F62","F63","F64","F65","F66","F67","F68","F69","F70","F71","F72","F73","F74","F75","F76","F77","F78","F79","F80","F81","F82","F83","F84","F85","F86","F87","F88","F89","F90","F91","F92","F93","F94","F95","F96","F97","F98","F99","FAH","FAR","FBM","FC","FF","FH","FIT","FL","FNU","FOT","FP","FR","FS","FTK","FTQ","G01","G04","G05","G06","G08","G09","G10","G11","G12","G13","G14","G15","G16","G17","G18","G19","G2","G20","G21","G23","G24","G25","G26","G27","G28","G29","G3","G30","G31","G32","G33","G34","G35","G36","G37","G38","G39","G40","G41","G42","G43","G44","G45","G46","G47","G48","G49","G50","G51","G52","G53","G54","G55","G56","G57","G58","G59","G60","G61","G62","G63","G64","G65","G66","G67","G68","G69","G70","G71","G72","G73","G74","G75","G76","G77","G78","G79","G80","G81","G82","G83","G84","G85","G86","G87","G88","G89","G90","G91","G92","G93","G94","G95","G96","G97","G98","G99","GB","GBQ","GDW","GE","GF","GFI","GGR","GIA","GIC","GII","GIP","GJ","GL","GLD","GLI","GLL","GM","GO","GP","GQ","GRM","GRN","GRO","GV","GWH","H03","H04","H05","H06","H07","H08","H09","H10","H11","H12","H13","H14","H15","H16","H18","H19","H20","H21","H22","H23","H24","H25","H26","H27","H28","H29","H30","H31","H32","H33","H34","H35","H36","H37","H38","H39","H40","H41","H42","H43","H44","H45","H46","H47","H48","H49","H50","H51","H52","H53","H54","H55","H56","H57","H58","H59","H60","H61","H62","H63","H64","H65","H66","H67","H68","H69","H70","H71","H72","H73","H74","H75","H76","H77","H79","H80","H81","H82","H83","H84","H85","H87","H88","H89","H90","H91","H92","H93","H94","H95","H96","H98","H99","HA","HAD","HBA","HBX","HC","HDW","HEA","HGM","HH","HIU","HKM","HLT","HM","HMO","HMQ","HMT","HPA","HTZ","HUR","HWE","IA","IE","INH","INK","INQ","ISD","IU","IUG","IV","J10","J12","J13","J14","J15","J16","J17","J18","J19","J2","J20","J21","J22","J23","J24","J25","J26","J27","J28","J29","J30","J31","J32","J33","J34","J35","J36","J38","J39","J40","J41","J42","J43","J44","J45","J46","J47","J48","J49","J50","J51","J52","J53","J54","J55","J56","J57","J58","J59","J60","J61","J62","J63","J64","J65","J66","J67","J68","J69","J70","J71","J72","J73","J74","J75","J76","J78","J79","J81","J82","J83","J84","J85","J87","J90","J91","J92","J93","J95","J96","J97","J98","J99","JE","JK","JM","JNT","JOU","JPS","JWL","K1","K10","K11","K12","K13","K14","K15","K16","K17","K18","K19","K2","K20","K21","K22","K23","K26","K27","K28","K3","K30","K31","K32","K33","K34","K35","K36","K37","K38","K39","K40","K41","K42","K43","K45","K46","K47","K48","K49","K50","K51","K52","K53","K54","K55","K58","K59","K6","K60","K61","K62","K63","K64","K65","K66","K67","K68","K69","K70","K71","K73","K74","K75","K76","K77","K78","K79","K80","K81","K82","K83","K84","K85","K86","K87","K88","K89","K90","K91","K92","K93","K94","K95","K96","K97","K98","K99","KA","KAT","KB","KBA","KCC","KDW","KEL","KGM","KGS","KHY","KHZ","KI","KIC","KIP","KJ","KJO","KL","KLK","KLX","KMA","KMH","KMK","KMQ","KMT","KNI","KNM","KNS","KNT","KO","KPA","KPH","KPO","KPP","KR","KSD","KSH","KT","KTN","KUR","KVA","KVR","KVT","KW","KWH","KWN","KWO","KWS","KWT","KWY","KX","L10","L11","L12","L13","L14","L15","L16","L17","L18","L19","L2","L20","L21","L23","L24","L25","L26","L27","L28","L29","L30","L31","L32","L33","L34","L35","L36","L37","L38","L39","L40","L41","L42","L43","L44","L45","L46","L47","L48","L49","L50","L51","L52","L53","L54","L55","L56","L57","L58","L59","L60","L63","L64","L65","L66","L67","L68","L69","L70","L71","L72","L73","L74","L75","L76","L77","L78","L79","L80","L81","L82","L83","L84","L85","L86","L87","L88","L89","L90","L91","L92","L93","L94","L95","L96","L98","L99","LA","LAC","LBR","LBT","LD","LEF","LF","LH","LK","LM","LN","LO","LP","LPA","LR","LS","LTN","LTR","LUB","LUM","LUX","LY","M1","M10","M11","M12","M13","M14","M15","M16","M17","M18","M19","M20","M21","M22","M23","M24","M25","M26","M27","M29","M30","M31","M32","M33","M34","M35","M36","M37","M38","M39","M4","M40","M41","M42","M43","M44","M45","M46","M47","M48","M49","M5","M50","M51","M52","M53","M55","M56","M57","M58","M59","M60","M61","M62","M63","M64","M65","M66","M67","M68","M69","M7","M70","M71","M72","M73","M74","M75","M76","M77","M78","M79","M80","M81","M82","M83","M84","M85","M86","M87","M88","M89","M9","M90","M91","M92","M93","M94","M95","M96","M97","M98","M99","MAH","MAL","MAM","MAR","MAW","MBE","MBF","MBR","MC","MCU","MD","MGM","MHZ","MIK","MIL","MIN","MIO","MIU","MKD","MKM","MKW","MLD","MLT","MMK","MMQ","MMT","MND","MNJ","MON","MPA","MQD","MQH","MQM","MQS","MQW","MRD","MRM","MRW","MSK","MTK","MTQ","MTR","MTS","MTZ","MVA","MWH","N1","N10","N11","N12","N13","N14","N15","N16","N17","N18","N19","N20","N21","N22","N23","N24","N25","N26","N27","N28","N29","N3","N30","N31","N32","N33","N34","N35","N36","N37","N38","N39","N40","N41","N42","N43","N44","N45","N46","N47","N48","N49","N50","N51","N52","N53","N54","N55","N56","N57","N58","N59","N60","N61","N62","N63","N64","N65","N66","N67","N68","N69","N70","N71","N72","N73","N74","N75","N76","N77","N78","N79","N80","N81","N82","N83","N84","N85","N86","N87","N88","N89","N90","N91","N92","N93","N94","N95","N96","N97","N98","N99","NA","NAR","NCL","NEW","NF","NIL","NIU","NL","NM3","NMI","NMP","NPT","NT","NTU","NU","NX","OA","ODE","ODG","ODK","ODM","OHM","ON","ONZ","OPM","OT","OZA","OZI","P1","P10","P11","P12","P13","P14","P15","P16","P17","P18","P19","P2","P20","P21","P22","P23","P24","P25","P26","P27","P28","P29","P30","P31","P32","P33","P34","P35","P36","P37","P38","P39","P40","P41","P42","P43","P44","P45","P46","P47","P48","P49","P5","P50","P51","P52","P53","P54","P55","P56","P57","P58","P59","P60","P61","P62","P63","P64","P65","P66","P67","P68","P69","P70","P71","P72","P73","P74","P75","P76","P77","P78","P79","P80","P81","P82","P83","P84","P85","P86","P87","P88","P89","P90","P91","P92","P93","P94","P95","P96","P97","P98","P99","PAL","PD","PFL","PGL","PI","PLA","PO","PQ","PR","PS","PTD","PTI","PTL","PTN","Q10","Q11","Q12","Q13","Q14","Q15","Q16","Q17","Q18","Q19","Q20","Q21","Q22","Q23","Q24","Q25","Q26","Q27","Q28","Q29","Q3","Q30","Q31","Q32","Q33","Q34","Q35","Q36","Q37","Q38","Q39","Q40","Q41","Q42","QA","QAN","QB","QR","QTD","QTI","QTL","QTR","R1","R9","RH","RM","ROM","RP","RPM","RPS","RT","S3","S4","SAN","SCO","SCR","SEC","SET","SG","SIE","SM3","SMI","SQ","SQR","SR","STC","STI","STK","STL","STN","STW","SW","SX","SYR","T0","T3","TAH","TAN","TI","TIC","TIP","TKM","TMS","TNE","TP","TPI","TPR","TQD","TRL","TST","TTS","U1","U2","UB","UC","VA","VLT","VP","W2","WA","WB","WCD","WE","WEB","WEE","WG","WHR","WM","WSD","WTT","X1","YDK","YDQ","YRD","Z11","Z9","ZP","ZZ","X1A","X1B","X1D","X1F","X1G","X1W","X2C","X3A","X3H","X43","X44","X4A","X4B","X4C","X4D","X4F","X4G","X4H","X5H","X5L","X5M","X6H","X6P","X7A","X7B","X8A","X8B","X8C","XAA","XAB","XAC","XAD","XAE","XAF","XAG","XAH","XAI","XAJ","XAL","XAM","XAP","XAT","XAV","XB4","XBA","XBB","XBC","XBD","XBE","XBF","XBG","XBH","XBI","XBJ","XBK","XBL","XBM","XBN","XBO","XBP","XBQ","XBR","XBS","XBT","XBU","XBV","XBW","XBX","XBY","XBZ","XCA","XCB","XCC","XCD","XCE","XCF","XCG","XCH","XCI","XCJ","XCK","XCL","XCM","XCN","XCO","XCP","XCQ","XCR","XCS","XCT","XCU","XCV","XCW","XCX","XCY","XCZ","XDA","XDB","XDC","XDG","XDH","XDI","XDJ","XDK","XDL","XDM","XDN","XDP","XDR","XDS","XDT","XDU","XDV","XDW","XDX","XDY","XEC","XED","XEE","XEF","XEG","XEH","XEI","XEN","XFB","XFC","XFD","XFE","XFI","XFL","XFO","XFP","XFR","XFT","XFW","XFX","XGB","XGI","XGL","XGR","XGU","XGY","XGZ","XHA","XHB","XHC","XHG","XHN","XHR","XIA","XIB","XIC","XID","XIE","XIF","XIG","XIH","XIK","XIL","XIN","XIZ","XJB","XJC","XJG","XJR","XJT","XJY","XKG","XKI","XLE","XLG","XLT","XLU","XLV","XLZ","XMA","XMB","XMC","XME","XMR","XMS","XMT","XMW","XMX","XNA","XNE","XNF","XNG","XNS","XNT","XNU","XNV","XO1","XO2","XO3","XO4","XO5","XO6","XO7","XO8","XO9","XOA","XOB","XOC","XOD","XOE","XOF","XOG","XOH","XOI","XOJ","XOK","XOL","XOM","XON","XOP","XOQ","XOR","XOS","XOT","XOU","XOV","XOW","XOX","XOY","XOZ","XP1","XP2","XP3","XP4","XPA","XPB","XPC","XPD","XPE","XPF","XPG","XPH","XPI","XPJ","XPK","XPL","XPN","XPO","XPP","XPR","XPT","XPU","XPV","XPX","XPY","XPZ","XQA","XQB","XQC","XQD","XQF","XQG","XQH","XQJ","XQK","XQL","XQM","XQN","XQP","XQQ","XQR","XQS","XRD","XRG","XRJ","XRK","XRL","XRO","XRT","XRZ","XSA","XSB","XSC","XSD","XSE","XSH","XSI","XSK","XSL","XSM","XSO","XSP","XSS","XST","XSU","XSV","XSW","XSX","XSY","XSZ","XT1","XTB","XTC","XTD","XTE","XTG","XTI","XTK","XTL","XTN","XTO","XTR","XTS","XTT","XTU","XTV","XTW","XTY","XTZ","XUC","XUN","XVA","XVG","XVI","XVK","XVL","XVN","XVO","XVP","XVQ","XVR","XVS","XVY","XWA","XWB","XWC","XWD","XWF","XWG","XWH","XWJ","XWK","XWL","XWM","XWN","XWP","XWQ","XWR","XWS","XWT","XWU","XWV","XWW","XWX","XWY","XWZ","XXA","XXB","XXC","XXD","XXF","XXG","XXH","XXJ","XXK","XYA","XYB","XYC","XYD","XYF","XYG","XYH","XYJ","XYK","XYL","XYM","XYN","XYP","XYQ","XYR","XYS","XYT","XYV","XYW","XYX","XYY","XYZ","XZA","XZB","XZC","XZD","XZF","XZG","XZH","XZJ","XZK","XZL","XZM","XZN","XZP","XZQ","XZR","XZS","XZT","XZU","XZV","XZW","XZX","XZY","XZZ"],"type":"string"},"ExportDocumentFormat":{"enum":["Original","Pdf","Archive"],"type":"string"},"Filter":{"type":"object","properties":{"propertyName":{"type":"string","nullable":true},"operator":{"$ref":"#/components/schemas/FilterOperator"},"values":{"type":"array","items":{},"nullable":true}},"additionalProperties":false},"FilterOperator":{"enum":["Equals","NotEquals","ContainsCaseInsensitive","StartsWith","EndsWith","LessThan","LessThanOrEqual","GreaterThan","GreaterThanOrEqual","Between","In"],"type":"string"},"FiscalEdiRole":{"enum":["Supplier","Customer"],"type":"string"},"FlowConfigType":{"enum":["Unset","Sftp","Email"],"type":"string"},"FromValue":{"type":"object","properties":{"propertyName":{"type":"string","nullable":true},"value":{"nullable":true}},"additionalProperties":false},"ICompanyIdIso6523":{"type":"object","properties":{"value":{"type":"string","nullable":true},"schemeID":{"$ref":"#/components/schemas/Iso6523"}},"additionalProperties":false},"IEn16931PostalAddress":{"type":"object","properties":{"countryID":{"$ref":"#/components/schemas/Iso3166"},"lineOne":{"type":"string","nullable":true},"lineTwo":{"type":"string","nullable":true},"lineThree":{"type":"string","nullable":true},"cityName":{"type":"string","nullable":true},"postcodeCode":{"type":"string","nullable":true},"countrySubDivisionName":{"type":"string","nullable":true}},"additionalProperties":false},"IPartyBase":{"type":"object","properties":{"name":{"type":"string","nullable":true},"globalIds":{"type":"array","items":{"$ref":"#/components/schemas/ICompanyIdIso6523"},"nullable":true,"readOnly":true},"postalAddress":{"$ref":"#/components/schemas/IEn16931PostalAddress"}},"additionalProperties":false},"InvoiceReceiveFlowConfig":{"type":"object","properties":{"configType":{"$ref":"#/components/schemas/FlowConfigType"}},"additionalProperties":false},"InvoiceType":{"enum":["Received","Issued"],"type":"string"},"InvoiceValidation":{"type":"object","properties":{"id":{"type":"string","nullable":true},"isValid":{"type":"boolean","nullable":true},"xsdValidation":{"$ref":"#/components/schemas/XsdValidationResult"},"schematronValidation":{"$ref":"#/components/schemas/SchematronValidation"},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"Iso3166":{"enum":["Unset","AD","AE","AF","AG","AI","AL","AM","AO","AQ","AR","AS","AT","AU","AW","AX","AZ","BA","BB","BD","BE","BF","BG","BH","BI","BJ","BL","BM","BN","BO","BQ","BR","BS","BT","BV","BW","BY","BZ","CA","CC","CD","CF","CG","CH","CI","CK","CL","CM","CN","CO","CR","CU","CV","CW","CX","CY","CZ","DE","DJ","DK","DM","DO","DZ","EC","EE","EG","EH","ER","ES","ET","FI","FJ","FK","FM","FO","FR","GA","GB","GD","GE","GF","GG","GH","GI","GL","GM","GN","GP","GQ","GR","GS","GT","GU","GW","GY","HK","HM","HN","HR","HT","HU","ID","IE","IL","IM","IN","IO","IQ","IR","IS","IT","JE","JM","JO","JP","KE","KG","KH","KI","KM","KN","KP","KR","KW","KY","KZ","LA","LB","LC","LI","LK","LR","LS","LT","LU","LV","LY","MA","MC","MD","ME","MF","MG","MH","MK","ML","MM","MN","MO","MP","MQ","MR","MS","MT","MU","MV","MW","MX","MY","MZ","NA","NC","NE","NF","NG","NI","NL","NO","NP","NR","NU","NZ","OM","PA","PE","PF","PG","PH","PK","PL","PM","PN","PR","PS","PT","PW","PY","QA","RE","RO","RS","RU","RW","SA","SB","SC","SD","SE","SG","SH","SI","SJ","SK","SL","SM","SN","SO","SR","SS","ST","SV","SX","SY","SZ","TC","TD","TF","TG","TH","TJ","TK","TL","TM","TN","TO","TR","TT","TV","TW","TZ","UA","UG","UM","US","UY","UZ","VA","VC","VE","VG","VI","VN","VU","WF","WS","YE","YT","ZA","ZM","ZW","1A","XI"],"type":"string"},"Iso4217":{"enum":["Unset","AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"Iso6523":{"enum":["Unset","0002","0003","0004","0005","0006","0007","0008","0009","0010","0011","0012","0013","0014","0015","0016","0017","0018","0019","0020","0021","0022","0023","0024","0025","0026","0027","0028","0029","0030","0031","0032","0033","0034","0035","0036","0037","0038","0039","0040","0041","0042","0043","0044","0045","0046","0047","0048","0049","0050","0051","0052","0053","0054","0055","0056","0057","0058","0059","0060","0061","0062","0063","0064","0065","0066","0067","0068","0069","0070","0071","0072","0073","0074","0075","0076","0077","0078","0079","0080","0081","0082","0083","0084","0085","0086","0087","0088","0089","0090","0091","0093","0094","0095","0096","0097","0098","0099","0100","0101","0102","0104","0105","0106","0107","0108","0109","0110","0111","0112","0113","0114","0115","0116","0117","0118","0119","0120","0121","0122","0123","0124","0125","0126","0127","0128","0129","0130","0131","0132","0133","0134","0135","0136","0137","0138","0139","0140","0141","0142","0143","0144","0145","0146","0147","0148","0149","0150","0151","0152","0153","0154","0155","0156","0157","0158","0159","0160","0161","0162","0163","0164","0165","0166","0167","0168","0169","0170","0171","0172","0173","0174","0175","0176","0177","0178","0179","0180","0183","0184","0185","0186","0187","0188","0189","0190","0191","0192","0193","0194","0195","0196","0197","0198","0199","0200","0201","0202","0203","0204","0205","0206","0207","0208","0209","0210","0211","0212","0213","0214","0215","0216","0217","0218","0219","0220","0221","0222","0223","0224","0225","0226","0227","0228","0229","0230"],"type":"string"},"LegalArchiveConfiguration":{"type":"object","properties":{"supplier":{"$ref":"#/components/schemas/ArchiveSupplier"}},"additionalProperties":false},"LegalMandatoryInfos":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/LegalMandatoryInfosType"},"country":{"$ref":"#/components/schemas/Iso3166"},"mainId":{"$ref":"#/components/schemas/A3AccountId"}},"additionalProperties":false},"LegalMandatoryInfosType":{"enum":["Unset","Germany","France"],"type":"string"},"LocalizedString":{"type":"object","properties":{"initialValue":{"type":"string","nullable":true,"readOnly":true},"placeholders":{"type":"array","items":{"$ref":"#/components/schemas/PlaceHolder"},"nullable":true},"translated":{"type":"string","nullable":true,"readOnly":true}},"additionalProperties":false},"OpenTelemetryConfig":{"type":"object","properties":{"exporter":{"$ref":"#/components/schemas/OtelExporter"}},"additionalProperties":false},"OtelExporter":{"enum":["Unset","OtelProtocol"],"type":"string"},"OutputOption":{"enum":["Unset","PossibleValues"],"type":"string"},"PartnerId":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"PdpReadBg1NoteDeFacture":{"type":"object","properties":{"bg_1_sequence_id":{"type":"integer","format":"int32"},"bt_21_note_subject_code":{"$ref":"#/components/schemas/Untdid4451"},"bt_22_note":{"type":"string","nullable":true}},"additionalProperties":false},"PdpReadBg20RemisesAuNiveauDuDocument":{"type":"object","properties":{"bg20_SequenceId":{"type":"integer","format":"int32"},"bt_92_allowance":{"$ref":"#/components/schemas/Amount"},"bt_95_allowance_vat_category_code":{"$ref":"#/components/schemas/Untdid5305"},"bt_96_allowance_vat_rate":{"$ref":"#/components/schemas/Percentage"}},"additionalProperties":false},"PdpReadBg23VentilationDeLaTva":{"type":"object","properties":{"bg23_SequenceId":{"type":"integer","format":"int32"},"bt_116_vat_category_taxable_amount":{"$ref":"#/components/schemas/Amount"},"bt_117_vat_category_tax_amount":{"$ref":"#/components/schemas/Amount"},"bt_118_vat_category_code":{"$ref":"#/components/schemas/Untdid5305"},"bt_119_vat_category_rate":{"$ref":"#/components/schemas/Percentage"},"bt_120_vat_exemption_reason_text":{"type":"string","nullable":true},"bt_121_vat_exemption_reason_code":{"$ref":"#/components/schemas/CesVatex"}},"additionalProperties":false},"PdpReadBg25LigneDeFacture":{"type":"object","properties":{"bg25_SequenceId":{"type":"integer","format":"int32"},"bt_129_invoiced_quantity":{"$ref":"#/components/schemas/Quantity"},"bt_130_invoiced_quantity_measure_code":{"$ref":"#/components/schemas/En16931MeasureUnitCode"},"fr_136_preceding_invoice_id":{"type":"string","nullable":true},"fr_138_preceding_invoice_date":{"type":"string","format":"date-time","nullable":true},"fr_149_line_delivery":{"type":"string","nullable":true},"fr_151_line_delivery_address_1":{"type":"string","nullable":true},"fr_152_line_delivery_address_2":{"type":"string","nullable":true},"fr_153_line_delivery_address_3":{"type":"string","nullable":true},"fr_154_line_delivery_city":{"type":"string","nullable":true},"fr_155_line_delivery_post_code":{"type":"string","nullable":true},"fr_156_line_delivery_country_subdivision":{"type":"string","nullable":true},"fr_157_line_delivery_country":{"$ref":"#/components/schemas/Iso3166"},"fr_158_0_line_actual_delivery_date":{"type":"string","format":"date-time","nullable":true},"fr_158_line_actual_delivery_date":{"type":"string","format":"date-time","nullable":true},"bt_134_period_start":{"type":"string","format":"date-time","nullable":true},"bt_135_period_end":{"type":"string","format":"date-time","nullable":true},"bg_27_invoice_line_allowance":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadBg27RemiseDeLigneDeFacture"},"nullable":true},"bt_147_item_price_discount":{"$ref":"#/components/schemas/Amount"},"bt_148_item_gross_price":{"$ref":"#/components/schemas/Amount"},"bt_153_item_name":{"type":"string","nullable":true}},"additionalProperties":false},"PdpReadBg27RemiseDeLigneDeFacture":{"type":"object","properties":{"bg25_SequenceId":{"type":"integer","format":"int32"},"bg27_SequenceId":{"type":"integer","format":"int32"},"categoryCode":{"$ref":"#/components/schemas/Untdid5305"},"rateApplicablePercent":{"$ref":"#/components/schemas/Percentage"},"bt_136_invoice_line_allowance_amount":{"$ref":"#/components/schemas/Amount"}},"additionalProperties":false},"PdpReadBg3ReferenceAUneFactureAnterieure":{"type":"object","properties":{"bg_3_sequence_id":{"type":"integer","format":"int32"},"bt_25_preceding_invoice_reference":{"type":"string","nullable":true},"bt_26_preceding_invoice_issue_date":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PdpReadBt29aIdentifiantComplementaire":{"type":"object","properties":{"bt_29a_sequence_id":{"type":"integer","format":"int32"},"bt_29a_bt_29_seller_identifierscheme_id":{"type":"string","nullable":true},"bt_29a_1_bt_29_1_seller_identifierscheme_id_scheme":{"$ref":"#/components/schemas/Iso6523"}},"additionalProperties":false},"PdpReadInvoice":{"type":"object","properties":{"syntax":{"$ref":"#/components/schemas/DocumentSyntax"},"direction":{"$ref":"#/components/schemas/DocumentExchangeDirection"},"source":{"$ref":"#/components/schemas/EfaProcessSource"},"storage":{"$ref":"#/components/schemas/EfaProcessStorage"},"sourceId":{"type":"string","nullable":true},"validation":{"$ref":"#/components/schemas/InvoiceValidation"},"isValid":{"type":"boolean","nullable":true},"documentId":{"type":"string","nullable":true,"readOnly":true},"documentIssuedAt":{"type":"string","format":"date-time","nullable":true,"readOnly":true},"isSelfInvoice":{"type":"boolean","nullable":true,"readOnly":true},"documentType":{"$ref":"#/components/schemas/Untdid1001"},"businessProcessType":{"type":"string","nullable":true,"readOnly":true},"docIssuer":{"$ref":"#/components/schemas/IPartyBase"},"docRecipient":{"$ref":"#/components/schemas/IPartyBase"},"efaAccount":{"$ref":"#/components/schemas/IPartyBase"},"notEfaAccount":{"$ref":"#/components/schemas/IPartyBase"},"efaAccountRole":{"$ref":"#/components/schemas/Uncl3035"},"partnerRole":{"$ref":"#/components/schemas/Uncl3035"},"efaVersion":{"type":"string","nullable":true},"sourceCreatedAt":{"type":"string","format":"date-time","nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true},"id_invoice":{"type":"string"},"bt_1_invoice_number":{"type":"string","nullable":true},"bt_2_issue_date":{"type":"string","format":"date-time","nullable":true},"bt_3_type_code":{"$ref":"#/components/schemas/Untdid1001"},"bt_5_currency_code":{"$ref":"#/components/schemas/Iso4217"},"bt_8_vat_date_code":{"$ref":"#/components/schemas/Untdid_2005_2475"},"bt_9_payment_due_date":{"type":"string","format":"date-time","nullable":true},"bg_1_invoice_note":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadBg1NoteDeFacture"},"nullable":true},"bt_23_business_process_type":{"type":"string","nullable":true},"bt_24_business_process_profile":{"type":"string","nullable":true},"bg_3_preceding_invoice":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadBg3ReferenceAUneFactureAnterieure"},"nullable":true},"bt_27_seller_name":{"type":"string","nullable":true},"bt_29a_bt_29_seller_identifierscheme_id":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadBt29aIdentifiantComplementaire"},"nullable":true},"bt_30_seller_legal_registration_id":{"type":"string","nullable":true},"bt_30_1_seller_legal_registration_id_scheme":{"$ref":"#/components/schemas/Iso6523"},"bt_31_seller_vat_id":{"type":"string","nullable":true},"bt_31_0_seller_vat_id_qualifier":{"$ref":"#/components/schemas/VatId"},"bt_35_seller_address_line_1":{"type":"string","nullable":true},"bt_36_seller_address_line_2":{"type":"string","nullable":true},"bt_162_seller_address_line_3":{"type":"string","nullable":true},"bt_37_seller_city":{"type":"string","nullable":true},"bt_38_seller_post_code":{"type":"string","nullable":true},"bt_39_seller_country_subdivision":{"type":"string","nullable":true},"bt_40_seller_country_code":{"$ref":"#/components/schemas/Iso3166"},"bt_44_buyer_name":{"type":"string","nullable":true},"bt_47_buyer_legal_registration_id":{"type":"string","nullable":true},"bt_47_1_buyer_legal_registration_id_scheme":{"$ref":"#/components/schemas/Iso6523"},"bt_48_buyer_vat_id":{"type":"string","nullable":true},"bt_48_0_buyer_vat_id_qualifier":{"$ref":"#/components/schemas/VatId"},"bt_50_buyer_address_line_1":{"type":"string","nullable":true},"bt_51_buyer_address_line_2":{"type":"string","nullable":true},"bt_163_buyer_address_line_3":{"type":"string","nullable":true},"bt_52_buyer_city":{"type":"string","nullable":true},"bt_53_buyer_post_code":{"type":"string","nullable":true},"bt_54_buyer_country_subdivision":{"type":"string","nullable":true},"bt_55_buyer_country_code":{"$ref":"#/components/schemas/Iso3166"},"bt_62_seller_tax_representative_name":{"type":"string","nullable":true},"bt_63_seller_tax_representative_vat_id":{"type":"string","nullable":true},"bt_63_1_bt_63_0_seller_tax_representative_vat_id_scheme":{"$ref":"#/components/schemas/VatId"},"bt_72_actual_delivery_date":{"type":"string","format":"date-time","nullable":true},"bt_73_invoice_period_start":{"type":"string","format":"date-time","nullable":true},"bt_74_invoice_period_end":{"type":"string","format":"date-time","nullable":true},"bt_75_delivery_address_1":{"type":"string","nullable":true},"bt_76_delivery_address_2":{"type":"string","nullable":true},"bt_165_delivery_address_3":{"type":"string","nullable":true},"bt_77_delivery_city":{"type":"string","nullable":true},"bt_78_delivery_post_code":{"type":"string","nullable":true},"bt_79_delivery_country_subdivision":{"type":"string","nullable":true},"bt_80_delivery_country_code":{"$ref":"#/components/schemas/Iso3166"},"bg_20_document_level_allowance":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadBg20RemisesAuNiveauDuDocument"},"nullable":true},"bt_109_invoice_total_ex_vat":{"$ref":"#/components/schemas/Amount"},"bt_110_total_vat_amount":{"$ref":"#/components/schemas/Amount"},"bg_23_tax_subtotal":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadBg23VentilationDeLaTva"},"nullable":true},"bg_25_invoice_line":{"type":"array","items":{"$ref":"#/components/schemas/PdpReadBg25LigneDeFacture"},"nullable":true}},"additionalProperties":false},"PdpReadInvoiceWithBranch":{"type":"object","properties":{"branchId":{"type":"string","nullable":true},"syntax":{"$ref":"#/components/schemas/DocumentSyntax"},"direction":{"$ref":"#/components/schemas/DocumentExchangeDirection"},"source":{"$ref":"#/components/schemas/EfaProcessSource"},"storage":{"$ref":"#/components/schemas/EfaProcessStorage"},"sourceId":{"type":"string","nullable":true},"validation":{"$ref":"#/components/schemas/InvoiceValidation"},"isValid":{"type":"boolean","nullable":true},"documentId":{"type":"string","nullable":true,"readOnly":true},"documentIssuedAt":{"type":"string","format":"date-time","nullable":true,"readOnly":true},"isSelfInvoice":{"type":"boolean","nullable":true,"readOnly":true},"documentType":{"$ref":"#/components/schemas/Untdid1001"},"businessProcessType":{"type":"string","nullable":true,"readOnly":true},"docIssuer":{"$ref":"#/components/schemas/IPartyBase"},"docRecipient":{"$ref":"#/components/schemas/IPartyBase"},"efaAccount":{"$ref":"#/components/schemas/IPartyBase"},"notEfaAccount":{"$ref":"#/components/schemas/IPartyBase"},"efaAccountRole":{"$ref":"#/components/schemas/Uncl3035"},"partnerRole":{"$ref":"#/components/schemas/Uncl3035"},"efaVersion":{"type":"string","nullable":true},"sourceCreatedAt":{"type":"string","format":"date-time","nullable":true},"createdBy":{"type":"string","nullable":true},"createdByRef":{"type":"string","nullable":true},"createdAt":{"type":"string","format":"date-time","nullable":true},"id_invoice":{"type":"string"},"bt_1_invoice_number":{"type":"string","nullable":true},"bt_2_issue_date":{"type":"string","format":"date-time","nullable":true},"bt_3_type_code":{"$ref":"#/components/schemas/Untdid1001"},
[...]
